このページは福井県立大学の田中求之が2006年1月まで運用していた Mac のサーバ運用に関する会議室 「Web Scripter's Meeting」の記録です。情報が古くなっている可能性がありますのでご注意ください。

W*API 1.2

発言者:前薗 健一
( Date Thursday, August 28, 1997 02:30:00 )


皆さんこんにちは。

W*API v1.1 がリリースされたときに W*API v1.0 との互換性が問題になった
のですが、W*API v1.1 と v1.2 との間で互換性の問題ってありましたっけ?

田中求之 さんからのコメント
( Thursday, August 28, 1997 12:43:32 )

1.2 は基本的に機能拡張だったと思います。ですから、1.2 のみの仕様(たとえば独自のダイア
ログの表示なんかが可能になってますよね?)は、1.1 対応のサーバーでは動かないのでは
ないかな?

具体的には、どの辺が気になってますか?

前薗 健一 さんからのコメント
( Friday, August 29, 1997 00:50:27 )

1.1 仕様の plug-in を 1.2 対応のサーバで動かした時の互換性が気になっている
のですが、upper compatible と考えていいですね。

田中求之 さんからのコメント
( Friday, August 29, 1997 12:15:28 )

>1.1 仕様の plug-in を 1.2 対応のサーバで動かした時の互換性

私が WebSTAR 2.1 で試した範囲では、古い Plugin でも問題はないようです。


稲垣@信州 さんからのコメント
( Friday, August 29, 1997 14:14:49 )

 取り敢えず、私の所のWebSTAR 2.1 でも、easyBBS plug-inは、変わりなく
動いています。

 他は、試していませんがQuickSendは調子が悪かったです。

#ただ、前にも書いた画面が真っ白になる現象は、今だに出ます。
#もしかしたら、ローカルな環境の部分に原因があるかもしれません。